---
title: font-variant-numeric
slug: Web/CSS/font-variant-numeric
tags:
  - CSS
  - CSS Fonts
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>font-variant-numeric</code></strong> CSS property controls the usage of alternate glyphs for numbers, fractions, and ordinal markers.</p>

<div>{{EmbedInteractiveExample("pages/css/font-variant-numeric.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">font-variant-numeric: normal;
font-variant-numeric: ordinal;
font-variant-numeric: slashed-zero;
font-variant-numeric: lining-nums;         /* &lt;numeric-figure-values&gt; */
font-variant-numeric: oldstyle-nums;       /* &lt;numeric-figure-values&gt; */
font-variant-numeric: proportional-nums;   /* &lt;numeric-spacing-values&gt; */
font-variant-numeric: tabular-nums;        /* &lt;numeric-spacing-values&gt; */
font-variant-numeric: diagonal-fractions;  /* &lt;numeric-fraction-values&gt; */
font-variant-numeric: stacked-fractions;   /* &lt;numeric-fraction-values&gt; */
font-variant-numeric: oldstyle-nums stacked-fractions;

/* Global values */
font-variant-numeric: inherit;
font-variant-numeric: initial;
font-variant-numeric: unset;
</pre>

<p>This property can take one of two forms:</p>

<ul>
 <li>either the keyword value <code>normal</code></li>
 <li>or one or more of the other values listed below, space-separated, in any order.</li>
</ul>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>normal</code></dt>
 <dd>This keyword leads to the deactivation of the use of such alternate glyphs.</dd>
 <dt><code>ordinal</code></dt>
 <dd>This keyword forces the use of special glyphs for the ordinal markers, like 1<sup>st</sup>, 2<sup>nd</sup>, 3<sup>rd</sup>, 4<sup>th</sup> in English or a 1<sup>a</sup> in Italian. It corresponds to the OpenType values <code>ordn</code>.</dd>
 <dt><code>slashed-zero</code></dt>
 <dd>This keyword forces the use of a 0 with a slash; this is useful when a clear distinction between O and 0 is needed. It corresponds to the OpenType values <code>zero</code>.</dd>
 <dt><em>&lt;numeric-figure-values</em>&gt;</dt>
 <dd>These values control the figures used for numbers. Two values are possible:
 <ul>
  <li><code>lining-nums</code> activating the set of figures where numbers are all lying on the baseline. It corresponds to the OpenType values <code>lnum</code>.</li>
  <li><code>oldstyle-nums</code> activating the set of figures where some numbers, like 3, 4, 7, 9 have descenders. It corresponds to the OpenType values <code>onum</code>.</li>
 </ul>
 </dd>
 <dt><em>&lt;numeric-spacing-values</em>&gt;</dt>
 <dd>These values controls the sizing of figures used for numbers. Two values are possible:
 <ul>
  <li><code>proportional-nums</code> activating the set of figures where numbers are not all of the same size. It corresponds to the OpenType values <code>pnum</code>.</li>
  <li><code>tabular-nums</code> activating the set of figures where numbers are all of the same size, allowing them to be easily aligned like in tables. It corresponds to the OpenType values <code>tnum</code>.</li>
 </ul>
 </dd>
 <dt><em>&lt;numeric-fraction-values</em>&gt;</dt>
 <dd>These values controls the glyphs used to display fractions. Two values are possible:
 <ul>
  <li><code>diagonal-fractions</code> activating the set of figures where the numerator and denominator are made smaller and separated by a slash. It corresponds to the OpenType values <code>frac</code>.</li>
  <li><code>stacked-fractions</code> activating the set of figures where the numerator and denominator are made smaller, stacked and separated by a horizontal line. It corresponds to the OpenType values <code>afrc</code>.</li>
 </ul>
 </dd>
</dl>
<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_ordinal_numeric_forms">Setting ordinal numeric forms</h3>

<p>{{EmbedGHLiveSample("css-examples/font-features/font-variant-numeric-example.html", '100%', 600)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Fonts', '#propdef-font-variant-numeric', 'font-variant-numeric')}}</td>
   <td>{{Spec2('CSS3 Fonts')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.font-variant-numeric")}}</p>

<h2 id="See-also">See Also</h2>

<ul>
  <li>{{cssxref("font-variant-alternates")}}</li>
  <li>{{cssxref("font-variant-caps")}}</li>
  <li>{{cssxref("font-variant-east-asian")}}</li>
  <li>{{cssxref("font-variant-ligatures")}}</li>
  <li>{{cssxref("font-variant")}}</li>
 </ul>
